/*
Hide color mode toggle in small viewports
 */
@media (width <= 996px) {
  .colorModeToggle {
    display: none;
  }
}

.submenu {
  background-color: #00284a;
  min-height: 96px;
}

.submenuContainer {
  display: flex;
  padding: 0 1rem;
}

.submenuContainer :global(.navbar__item) {
  display: inline-block;
  padding: 0;
  margin-right: 2rem;
}

.submenuContainer :global(.navbar__link) {
  font-size: 1rem;
  font-weight: 400;
  color: #fff;
  line-height: 1.25;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  border-top: 2px solid transparent;
  border-radius: 1px;
  text-decoration: none;
  display: block;
}

.submenuContainer :global(.navbar__link:hover),
.submenuContainer :global(.navbar__link:focus-within) {
  border-top-color: #fff;
}

@media (width <= 996px) {
  .submenuContainer :global(.navbar__link) {
    display: none;
  }
}

@media (width <= 575px) {
  .submenuContainer {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
  }

  .submenuContainer :global(.navbar__items) {
    justify-content: flex-start;
    padding: 2rem 0;
    width: 100%;
  }

  .submenuContainer :global(.navbar__items--right) {
    border-bottom: 1px solid #fff;
    flex: 1;
  }

  .submenuContainer :global(.navbar__items--right > div) {
    width: 100%;
  }

  .search :global(.navbar__search) {
    margin: 0;
  }

  .search :global(.navbar__search > span) {
    width: 100%;
  }

  .search :global(.navbar__search-input) {
    width: 100% !important;
    background: var(--ifm-navbar-search-input-icon) no-repeat 25rem #fff;
    border-radius: 6px;
  }

  .search :global(span[role="listbox"]) {
    left: 0 !important;
    width: 100%;
  }
}

/* Dropdown menu */

.submenuContainer :global(.dropdown__menu) {
  width: 320px;
  overflow-y: unset;
  padding: 1.25rem;
}

.submenuContainer :global(.dropdown > .navbar__link) {
  position: relative;
  padding-right: 1.5rem;
}

.submenuContainer :global(.dropdown > .navbar__link::after) {
  border-width: 0;
  background: url("/static/img/ico-arrow-down.svg") left no-repeat;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  content: "";
  background-size: 1.25rem;
  width: 1.25rem;
  height: 1.25rem;
}

.submenuContainer :global(.dropdown:hover > .navbar__link::after) {
  transform: translateY(-50%) rotate(180deg);
}

.submenuContainer :global(.dropdown__link) {
  color: #1d0d34;
  display: block;
  font-size: 1rem;
  line-height: 1.25;
  margin-top: 0;
  padding: 0.75rem 0.5rem;
  text-decoration: none;

  /* border-radius: 0; */
  white-space: unset;
}

/* .submenuContainer :global(.dropdown__link:hover) {
  text-decoration: underline;
} */

.submenuContainer :global(.dropdown__link:hover),
.submenuContainer :global(.dropdown__link:focus),
.submenuContainer :global(.dropdown__link--active) {
  /* background-color: #e5e4e9; */
  background: none;
}

.submenuContainer :global(a.dropdown__link:hover .menu-item-caption),
.submenuContainer :global(a.dropdown__link:focus .menu-item-caption),
.submenuContainer :global(a.dropdown__link--active .menu-item-caption) {
  color: #842db5;
}

.submenuContainer :global(a.dropdown__link:hover .menu-item-title),
.submenuContainer :global(a.dropdown__link:focus .menu-item-title),
.submenuContainer :global(a.dropdown__link--active .menu-item-title) {
  position: relative;
  color: #842db5;
}

.submenuContainer :global(a.dropdown__link:hover .menu-item-title::after) {
  content: "";
  position: absolute;
  top: 0;
  right: 15px;
  display: inline-block;
  width: 18px;
  height: 18px;
  background-image: url("/static/img/ico-arrow-forward-primary.svg");
  background-size: 18px;
}

.borderBottom {
  border-bottom: 1px solid #fff;
}
